| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Functions
ffprobekit.h File Reference

Go to the source code of this file.

## Functions
JNIEXPORT jint JNICALL | Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFprobeExecute (JNIEnv *, jclass, jlong, jobjectArray)

## Function Documentation

## ◆ Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFprobeExecute()

JNIEXPORT jint JNICALL Java_com_arthenica_ffmpegkit_FFmpegKitConfig_nativeFFprobeExecute | ( | JNIEnv * | env,
|  | jclass | object,
|  | jlong | id,
|  | jobjectArray | stringArray
| ) |  |

Synchronously executes FFprobe natively with arguments provided.

Parameters

  env | pointer to native method interface
  object | reference to the class on which this method is invoked
  id | session id
  stringArray | reference to the object holding FFprobe command arguments

Returns
  zero on successful execution, non-zero on error

Definition at line 48 of file ffprobekit.c.